/*
 * Copyright 2014, 2015 Peter Hansen and İnanç Seylan.
 * 
 * This file is part of Grind.
 * 
 * Grind is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * 
 * Grind is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with Grind.  If not, see <http://www.gnu.org/licenses/>.
 */
package de.unibremen.informatik.tdki.grind.utilities.syntax;

import org.semanticweb.owlapi.model.OWLClass;
import org.semanticweb.owlapi.model.OWLClassExpressionVisitor;
import org.semanticweb.owlapi.model.OWLDataAllValuesFrom;
import org.semanticweb.owlapi.model.OWLDataExactCardinality;
import org.semanticweb.owlapi.model.OWLDataHasValue;
import org.semanticweb.owlapi.model.OWLDataMaxCardinality;
import org.semanticweb.owlapi.model.OWLDataMinCardinality;
import org.semanticweb.owlapi.model.OWLDataSomeValuesFrom;
import org.semanticweb.owlapi.model.OWLObjectAllValuesFrom;
import org.semanticweb.owlapi.model.OWLObjectComplementOf;
import org.semanticweb.owlapi.model.OWLObjectExactCardinality;
import org.semanticweb.owlapi.model.OWLObjectHasSelf;
import org.semanticweb.owlapi.model.OWLObjectHasValue;
import org.semanticweb.owlapi.model.OWLObjectIntersectionOf;
import org.semanticweb.owlapi.model.OWLObjectMaxCardinality;
import org.semanticweb.owlapi.model.OWLObjectMinCardinality;
import org.semanticweb.owlapi.model.OWLObjectOneOf;
import org.semanticweb.owlapi.model.OWLObjectSomeValuesFrom;
import org.semanticweb.owlapi.model.OWLObjectUnionOf;

/**
 *
 * @author seylan
 */
public class ELConceptVisitor implements OWLClassExpressionVisitor {

    @Override
    public void visit(OWLClass owlc) {
        // alright
    }

    @Override
    public void visit(OWLObjectIntersectionOf owloio) {
        // alright
    }

    @Override
    public void visit(OWLObjectUnionOf owlouo) {
        throw new UnsupportedOperationException("Not supported yet." + owlouo);
    }

    @Override
    public void visit(OWLObjectComplementOf owloco) {
        throw new UnsupportedOperationException("Not supported yet." + owloco);
    }

    @Override
    public void visit(OWLObjectSomeValuesFrom owlsvf) {
        // alright
    }

    @Override
    public void visit(OWLObjectAllValuesFrom owlvf) {
        throw new UnsupportedOperationException("Not supported yet." + owlvf);
    }

    @Override
    public void visit(OWLObjectHasValue owlohv) {
        throw new UnsupportedOperationException("Not supported yet." + owlohv);
    }

    @Override
    public void visit(OWLObjectMinCardinality owlomc) {
        throw new UnsupportedOperationException("Not supported yet." + owlomc);
    }

    @Override
    public void visit(OWLObjectExactCardinality owloec) {
        throw new UnsupportedOperationException("Not supported yet." + owloec);
    }

    @Override
    public void visit(OWLObjectMaxCardinality owlomc) {
        throw new UnsupportedOperationException("Not supported yet." + owlomc);
    }

    @Override
    public void visit(OWLObjectHasSelf owlohs) {
        throw new UnsupportedOperationException("Not supported yet." + owlohs);
    }

    @Override
    public void visit(OWLObjectOneOf owlooo) {
        throw new UnsupportedOperationException("Not supported yet." + owlooo);
    }

    @Override
    public void visit(OWLDataSomeValuesFrom o) {
        throw new UnsupportedOperationException("Not supported yet." + o);
    }

    @Override
    public void visit(OWLDataAllValuesFrom owldvf) {
        throw new UnsupportedOperationException("Not supported yet." + owldvf);
    }

    @Override
    public void visit(OWLDataHasValue owldhv) {
        throw new UnsupportedOperationException("Not supported yet." + owldhv);
    }

    @Override
    public void visit(OWLDataMinCardinality owldmc) {
        throw new UnsupportedOperationException("Not supported yet." + owldmc);
    }

    @Override
    public void visit(OWLDataExactCardinality owldec) {
        throw new UnsupportedOperationException("Not supported yet." + owldec);
    }

    @Override
    public void visit(OWLDataMaxCardinality owldmc) {
        throw new UnsupportedOperationException("Not supported yet." + owldmc);
    }

}
